%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Summary: Constructionist learning platform
Name: sugar
Epoch: 1
Version: 0.94.1
Release: 20120123.au%{?dist}
URL: http://sugarlabs.org/
Source0: http://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.bz2
Source1: http://people.sugarlabs.org/silbe/dextrose/patchsets/%{name}-dx3-20120123.tar.gz

License: GPLv2+
Group: User Interface/Desktops

BuildRequires: gettext
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: intltool
BuildRequires: perl-XML-Parser
BuildRequires: pkgconfig
BuildRequires: python
BuildRequires: pygtk2-devel

Requires: dbus-x11
Requires: gnome-keyring-pam
Requires: gnome-python2-gconf
Requires: gnome-python2-libwnck
Requires: gstreamer-python
Requires: metacity
Requires: NetworkManager
Requires: openssh
Requires: pygtksourceview
Requires: python-telepathy
Requires: python-xklavier
Requires: python-xlib
Requires: sugar-artwork
#Requires: sugar-settings-manager
#Requires: sugar-hidden-network-connect

Obsoletes: sugar-journal <= 99
#Obsoletes: sugar-update-control <= 99

BuildArch: noarch

%description
Sugar provides simple yet powerful means of engaging young children in the
world of learning that is opened up by computers and the Internet. With Sugar,
even the youngest learner will quickly become proficient in using the
computer as a tool to engage in authentic problem-solving.  Sugar promotes
sharing, collaborative learning, and reflection, developing skills that help
them in all aspects of life.

Sugar is also the learning environment for the One Laptop Per Child project.
See http://www.laptop.org for more information on this project.

%package emulator
Summary: The emulator for the Sugar Learning Platform
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-server-Xephyr
# for xdpyinfo
Requires: xorg-x11-utils

%description emulator
The emulator let's you test and debug sugar. For example it allows you to run
multiple instances of sugar.

%package control-accessibility
Summary: The emulator for the Sugar Learning Platform
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description control-accessibility
sugar-cp-accessibility addon to sugar's control panel.

%package control-frame
Summary: The emulator for the Sugar Learning Platform
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description control-frame
sugar-control-frame addon to sugar's control panel.

%package control-keyboard
Summary: The emulator for the Sugar Learning Platform
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description control-keyboard
sugar-control-frame addon to sugar's control panel.

%prep
%setup -T -c -a 1 -n patches
%setup -D -q
for patch in ../patches/* ; do patch -p1 < "${patch}" ; done

%build
autoreconf -i
%configure
make

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=%{buildroot}
mkdir %{buildroot}/%{_datadir}/sugar/activities
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang %{name}

%post
if (update-mime-database -v &> /dev/null); then
  update-mime-database "%{_datadir}/mime" > /dev/null
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/sugar.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/sugar.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/sugar.schemas > /dev/null || :
fi

%postun
if (update-mime-database -v &> /dev/null); then
  update-mime-database "%{_datadir}/mime" > /dev/null
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README

%config %{_sysconfdir}/dbus-1/system.d/nm-user-settings.conf
%config %{_sysconfdir}/gconf/schemas/sugar.schemas

%dir %{_datadir}/sugar
%dir %{_datadir}/sugar/activities

%{_datadir}/sugar/*
%exclude %{_datadir}/sugar/extensions/cpsection/accessibility
%exclude %{_datadir}/sugar/extensions/cpsection/frame
%exclude %{_datadir}/sugar/extensions/cpsection/keyboard

%{python_sitelib}/*

%{_datadir}/xsessions/sugar.desktop

%{_bindir}/*
%exclude %{_bindir}/sugar-emulator

%{_datadir}/mime/packages/sugar.xml

%files emulator
%defattr(-,root,root,-)
%{_bindir}/sugar-emulator
%{_datadir}/applications/sugar-emulator.desktop
%{_datadir}/icons/hicolor/scalable/apps/sugar-xo.svg

%files control-accessibility
%defattr(-,root,root,-)
%{_datadir}/sugar/extensions/cpsection/accessibility/*

%files control-frame 
%defattr(-,root,root,-)
%{_datadir}/sugar/extensions/cpsection/frame/*

%files control-keyboard
%defattr(-,root,root,-)
%{_datadir}/sugar/extensions/cpsection/keyboard/*

